      //VARIABLES GLOBALES DE DENTRO DEL PROCESO DE ANÁLISIS DE DATOS
      extern unsigned int n_seq;
      extern byte c_d;
      extern String datos_recibidos;
      
       //VARIABLES TEMPORALES PARA PROCESAR LOS DATOS RECIBIDOS
      static unsigned long suma_recibida = 0;
      static byte ESTADO = 0;
      static byte l_nseq;
      static unsigned int n_seq_recibida;
      static byte cseg_r;
      static byte l_cdre;
      static byte cd_r;
      static byte l_error_r;
      static unsigned long error_r;
      
      void ANALIZA_DATOS(){
        
        
     //COMPROBACIÓN DE QUE LA TRAMA RECIBIDA ES CORRECTA MEDIANTE
      //UNA MAQUINA DE ESTADOS FINITOS
      
      
      int indice = 1;
      
      //ESTADO 0 (n_seq)
      if (isDigit(datos_recibidos[1]) && ESTADO == 0){
        l_nseq =  datos_recibidos[indice] - '0';   //LECTURA DE LA LONGITUD DEL NÚMERO DE SECUENCIA
        indice++;  //Incremento del indice
        suma_recibida = l_nseq;  //Acomulación de valores para comprobación de errores
        n_seq_recibida = string2int (datos_recibidos, indice, indice+l_nseq); //Lectura del NUMERO DE SECUENCIA
        suma_recibida = suma_recibida + n_seq_recibida; //Acomulación de valores para comprobación de errores
        indice = indice + l_nseq; //Incremento del indice
        ESTADO = 1;  //CAMBIO DE ESTADO.       

        
        cseg_r = string2int(datos_recibidos, indice, indice+3);  //SE LEE EL CODIGO DE SEGURIDAD PARA COMPROBARLO EN EL SIGUIENTE ESTADO
        indice=indice+3;
        suma_recibida = suma_recibida + cseg_r;
        } else { ESTADO = 0; }
        
     if (ESTADO == 1 && cseg_r == c_seg){
        //CODIGO DE SEGURIDAD CORRECTO
        l_cdre = datos_recibidos[indice] - '0'; //LECTURA DE la longitud de C-D
        indice++;
        suma_recibida = suma_recibida + l_cdre;
        ESTADO = 2;
     } else 
        { //CODIGO DE SEGURIDAD ERRONEO            
             ESTADO = 0; 
         }  
           
     if (ESTADO == 2){
       cd_r = string2int(datos_recibidos, indice, indice+l_cdre); //LECTURA DE C_D
       indice = indice + l_cdre;
       suma_recibida = suma_recibida + cd_r;
       ESTADO = 3;
     } else { ESTADO = 0; }
     
     if (ESTADO == 3){ //LECTURA DE LOS DATOS CORRESPONDIENTES A COMANDOS
       for (int i=0; i<=7; i++){
         l_dat_rec[i] = datos_recibidos[indice] - '0';
         indice++;
         suma_recibida = suma_recibida + l_dat_rec[i];
         dat_rec[i] = string2int (datos_recibidos, indice, indice+l_dat_rec[i]);
         indice = indice + l_dat_rec[i];
         suma_recibida = suma_recibida + dat_rec[i];
       }
       ESTADO = 4;
     } else { ESTADO = 0; }
     
     
     if (ESTADO == 4){ //LECTURA DEL ERROR
       l_error_r = datos_recibidos[indice] - '0';
       indice++;
       suma_recibida = suma_recibida + l_error_r;
       error_r=string2int(datos_recibidos,indice,indice+l_error_r);
       indice = indice + l_error_r;
       ESTADO = 5;
     } else { ESTADO = 0; }
     
     
     if (ESTADO == 5 && suma_recibida == error_r){ //COMPROBACIÓN DE QUE LA TRAMA ES CORRECTA
       
       
       ///VALIDAR DATOS y EJECUTAR ACCIONES O COMANDOS.
       
       n_seq = n_seq+1;
       c_d = cd_r;
       ESTADO = 0;
     } else { ESTADO = 0; }
     }
      
